### Method

# Gio AsyncResult get_source_object

#### Declaration [src]

    GObject*
    g_async_result_get_source_object (
      GAsyncResult* res
    )

#### Description [src]

Gets the source object from a `GAsyncResult`.

#### Return value

Type: `GObject`

A new reference to the source object for the `res`, or `NULL` if there is none.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.